<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="container">
	<div id="header" class="header">
		<div class="header__left">
			<div class="header__logo clearfix">
				<h1>
					<?php
					$kanagata_logo_image = get_theme_mod( 'logo_image' );
					$kanagata_site_color = get_theme_mod( 'site_title_color' );
					if ( ! empty( $kanagata_logo_image ) ) {
						if ( kanagata_is_css_color( $kanagata_site_color ) ) {
							echo '<img alt="' . esc_attr( get_bloginfo( 'name' ) ) . '"' .
								' src="' . esc_url( get_theme_mod( 'logo_image' ) ) . '"/>' . '&nbsp;' .
								'<a style="color: ' . esc_attr( get_theme_mod( 'site_title_color' ) ) . '"' .
								' href="' . esc_url( home_url( '/' ) ) . '"' .
								' title="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" rel="home">' .
								esc_html( get_bloginfo( 'name' ) ) .
								'</a>';
						} else {
							echo '<img alt="' . esc_attr( get_bloginfo( 'name' ) ) . '"' .
								' src="' . esc_url( get_theme_mod( 'logo_image' ) ) . '"/>' . '&nbsp;' .
								'<a href="' . esc_url( home_url( '/' ) ) . '"' .
								' title="' . esc_attr( get_bloginfo( 'name', 'display' ) ) . '" rel="home">' .
								esc_html( get_bloginfo( 'name' ) ) .
								'</a>';
						}
					} else {
						if ( kanagata_is_css_color( $kanagata_site_color ) ) {
							echo '<a style="color: ' . esc_attr( get_theme_mod( 'site_title_color' ) ) . '"' .
								' href="' . esc_url( home_url( '/' ) ) . '"';
						} else {
							echo '<a href="' . esc_url( home_url( '/' ) ) . '"';
						}
						echo ' title="' . esc_attr( get_bloginfo( 'name' ) ) . '"' .
							' rel="home">' . esc_html( get_bloginfo( 'name' ) ) . '</a>';
					}
					?>
				</h1>
			</div>
			<!-- .header__logo -->
		</div>
		<!-- .header__left -->
		<div class="header__right clearfix">
			<?php if ( has_nav_menu( 'extra' ) ) : ?>
				<div class="header__menu-extra">
					<?php
					wp_nav_menu(
						array(
							'theme_location'  => 'extra',
							'container_class' => 'menu-extra-container',
							'menu_class'      => 'menu-extra'
						)
					);
					?>
				</div><!-- .header__menu-extra -->
			<?php endif; ?>
			<div class="header__about">
				<?php
				$kanagata_header_link  = get_theme_mod( 'header_item_link' );
				$kanagata_header_text  = get_theme_mod( 'header_item_text' );
				$kanagata_header_color = get_theme_mod( 'header_item_color' );
				$kanagata_header_image = get_theme_mod( 'header_item_image' );
				$kanagata_output       = '';
				// has image
				if ( ! empty( $kanagata_header_image ) ) {
					if ( empty ( $kanagata_header_link ) ) {
						$kanagata_header_text = ( ! empty( $kanagata_header_text ) ) ? esc_html(
							$kanagata_header_text
						) : '';
						$kanagata_output .= '<div class="header__about__item">' .
							'<img src="' . esc_attr( $kanagata_header_image ) . '"' .
							' alt="' . esc_attr( $kanagata_header_text ) . '">' .
							'</div>';
					} else {
						$kanagata_header_text = ( ! empty( $kanagata_header_text ) ) ? esc_html(
							$kanagata_header_text
						) : '';
						$kanagata_output .= '<div class="header__about__item">' .
							'<a href="' . esc_url( $kanagata_header_link ) . '">' .
							'<img src="' . esc_attr( $kanagata_header_image ) . '"' .
							' alt="' . esc_attr( $kanagata_header_text ) . '">' .
							'</a></div>';
					}
					// has not image
				} else {
					$style = ' style="color: '
						. ( ! empty( $kanagata_header_color ) ? esc_attr( $kanagata_header_color ) : '#333' ) . '"';
					if ( empty ( $kanagata_header_link ) ) {
						$kanagata_output .= '<div class="header__about__item"' . $style . '>' .
							esc_html( $kanagata_header_text ) . '</div>';
					} else {
						$kanagata_output .= '<div class="header__about__item">' .
							'<a href="' . esc_url( $kanagata_header_link ) . '"' . $style . '>' .
							esc_html( $kanagata_header_text ) . '</a></div>';
					}
				}
				echo $kanagata_output;
				?>
			</div>
			<!-- .header__about -->
		</div>
		<!-- .header__right -->
		<!-- menu-extra -->
		<?php if ( '' !== get_bloginfo( 'description' ) ) : ?>
			<div class="header__description">
				<h2 class="header__description__text"><?php esc_html( bloginfo( 'description' ) ); ?></h2>
			</div><!-- .header__description -->
		<?php endif; ?>
	</div>
	<!-- .header -->
</div>
<!-- .container -->
<?php if ( has_nav_menu( 'global' ) ) : ?>
	<div class="container">
		<div id="sp_toggle_menu"><a href="#"><?php _e( 'menu', 'kanagata' ); ?></a></div>
		<?php
		wp_nav_menu(
			array(
				'theme_location'  => 'global',
				'container_class' => 'menu-global-container',
				'menu_class'      => 'menu-global'
			)
		);
		?>
	</div>
<?php endif; ?>
<!-- .container -->
<?php if ( ! empty( get_custom_header()->url ) )  : ?>
	<div class="container">
		<?php if ( is_front_page() ) : ?>
			<div class="custom-header">
				<div>
					<img src="<?php echo esc_attr( get_custom_header()->url ); ?>" alt=""
						 width="<?php echo esc_attr( HEADER_IMAGE_WIDTH ); ?>"
						 height="<?php echo esc_attr( HEADER_IMAGE_HEIGHT ); ?>"/>
				</div>
			</div><!-- custom_header -->
		<?php endif; ?>
	</div>
<?php endif; ?>
<!-- .container -->
<?php if ( ! is_front_page() ) : ?>
	<div class="container">
		<div class="breadcrumbs">
			<?php if ( function_exists( 'bcn_display' ) ) {
				bcn_display();
			} ?>
		</div>
	</div><!-- .container -->
<?php endif; ?>
